Subject: RE:Colchicine Experiments w/ Plants Lit Needed

From: [email-masked] (Stone1819)
Date: 21 Feb 1996 15:18:38 -0800

Posting for a friend so please excuse technical mistakes: Bio student at
small college needs help in finding literature on colchicine experiments
of plants covering cell division, fiber spindles, etc... Help! Any
assistance greatly appreciated. Please post on newsgroups or e-mail to me.